### Method

# Gtk FileDialogset_default_filter

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_default_filter (
      GtkFileDialog* self,
      GtkFileFilter* filter
    )

#### Description [src]

Sets the filter that will be selected by default in the file chooser dialog.

If set to `NULL`, the first item in `GtkFileDialog:filters` will be used as the default filter. If that list is empty, the dialog will be unfiltered.

Available since: 4.10

Sets property | `Gtk.FileDialog:default-filter`

#### Parameters

`filter`

  Type: `GtkFileFilter`

  A `GtkFileFilter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.